> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Quotes & Transaction Limits

When you are executing transactions, often times you will want to fetch a quote first, to understand what the estimated cost of a transaction will be, and what the estimated final output of the transaction will be.  Borderless has a series of streamlined API endpoints to help you.

<Note>
  If you're just getting started, please check out our [quick start guide](/docs/quick-start-guide).
</Note>

## Fetching quote details

The quotes endpoints returns estimated or indicative exchange rates between stablecoins and local fiat currencies, as well as the estimated fees and spread that are applied throughout.

<Warning>
  These quotes are generally expected to be estimates, not guaranteed. It is likely that the final output will be slightly different than the quote as rates change continuously. Borderless is not responsible for any divergence between quotes and the final executed amount. Borderless passes along the fees of our partner financial institutions (PFIs) at cost.
</Warning>

<Note>
  Fees are calculated in stablecoin currency for withdrawals and fiat currency for deposits, but in future versions will be calculated in USD only.
</Note>

### Endpoints

The quotes endpoint for deposits.

<Tip>
  Endpoint: `GET /deposits/quotes`
</Tip>

<CodeGroup>
  ```bash request expandable theme={null}
  curl --location 'https://sandbox-api.borderless.xyz/v1/deposits/quotes?fiat=USD&country=US&asset=USDC_POLYGON&fromAmount=1000&paymentMethod=Wire' \
  --header 'Authorization: Bearer your-access-token
  ```
</CodeGroup>

The quotes endpoint for withdrawals.

<Tip>
  Endpoint: `GET /withdrawals/quotes`
</Tip>

<CodeGroup>
  ```bash request expandable theme={null}
  curl --location 'https://sandbox-api.borderless.xyz/v1/withdrawals/quotes?fiat=USD&country=US&asset=USDC_POLYGON&fromAmount=1000&paymentMethod=Wire' \
  --header 'Authorization: Bearer your-access-token'
  ```
</CodeGroup>

Please read more detail about the API endpoints in the API reference documentation.

## Transaction Limits

Withdrawal and Deposit transactions may be subject to limits, which define the minimum and maximum allowed fiat amounts per transaction. These limits vary depending on: Country, Currency, Payment method, and Asset.

The limits object contains:

<ResponseField name="minAmount" type="string" required>
  The minimum allowed fiat amount
</ResponseField>

<ResponseField name="maxAmount" type="string" required>
  The maximum allowed fiat amount
</ResponseField>

<ResponseField name="fiat" type="string" required>
  The fiat currency the limites apply to
</ResponseField>

<Note>
  If either `minAmount` or `maxAmount` is null, it means there is no limit set for that value.
</Note>

Quotes could be calculated based on `fromAmount` or `toAmount`. Only one of `fromAmount` or `toAmount` could be present at the same time. Quote by `toAmount` is available for US and EU countries only.

If `paymentMethod` is not provided, the quote will be calculated for the first available option by `fiat`, `country` and `asset`. E.g. if both ACH and Wire option is available for USD to USDC deposit in US any of them could be used and order is not guaranteed.

## Response

<CodeGroup>
  ```bash bash theme={null}
  {
      "limits": {
          "transaction": {
              "minAmount": "21.44",
              "maxAmount": null,
              "fiat": "USD"
          }
      },
      "fiat": "USD",
      "asset": "USDC_POLYGON",
      "country": "US",
      "paymentMethod": "Wire",
      "fromAmount": "1000",
      "toAmount": "978.5",
      "exchangeRate": "1",
      "totalFee": "21.5",
      "orchestrationFee": "21.5"
  }
  ```
</CodeGroup>

A quote could be requested for specific `paymentMethod` (ACH, Wire, SPEI, etc.) and fees will be calculated according to payment method. For example, ACH fee is 0.50 USD but Wire fee is \$20.00 USD, etc.

`exchangeRate` represents estimated exchange rate with up to 6 decimals precision.

`orchestrationFee` is a Borderless fee for a transaction. The collection method of orchestration fee discuss with operations team.

`totalFee` is a sum of `orchestrationFee` and PFI fee.

<Info>
  If you have any questions, please don't hesitate to reach out to us via [email](mailto:support@borderless.xyz) or slack.
</Info>
